Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

build(deps): update secp256k1 requirement from 0.19.0 to 0.20.0 #496

Merged
merged 2 commits into from Jan 4, 2021

Conversation

@dependabot @github
Copy link
Contributor

@dependabot dependabot bot commented on behalf of github Jan 4, 2021

Updates the requirements on secp256k1 to permit the latest version.

Changelog

Sourced from secp256k1's changelog.

0.20.0 - 2020-12-21

0.19.0 - 2020-08-27

  • Update MSRV to 1.29.0

0.18.0 - 2020-08-26

0.17.2

  • Fix linking in the fuzztarget feature.

0.17.1

  • Correctly prefix the secp256k1-sys links field in Cargo.toml.

0.17.0

  • Move FFI into secp256k1-sys crate.
  • Add external-symbols feature for not building upstream.
  • Add functions to create a context from a raw pointer.
  • Support passing custom hash functions to ECDH.
  • Wrap Secp256k1 from raw context in a ManuallyDrop.

0.15.4 - 2019-09-06

  • Add rand-std feature.
  • Pin the cc build-dep version to < 1.0.42 to remain compatible with rustc 1.22.0.
  • Changed all as_*ptr() to a new safer CPtr trait

0.15.2 - 2019-08-08

  • Add feature lowmemory that reduces the EC mult window size to require significantly less memory for the validation context (~680B instead of

... (truncated)

Commits

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


Dependabot commands and options

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
Updates the requirements on [secp256k1](https://github.com/rust-bitcoin/rust-secp256k1) to permit the latest version.
- [Release notes](https://github.com/rust-bitcoin/rust-secp256k1/releases)
- [Changelog](https://github.com/rust-bitcoin/rust-secp256k1/blob/master/CHANGELOG.md)
- [Commits](https://github.com/rust-bitcoin/rust-secp256k1/commits)

Signed-off-by: dependabot[bot] <support@github.com>
* master:
  Remove deprecated FromStr/TryFrom impls for Secret (#495)
@dvdplm
dvdplm approved these changes Jan 4, 2021
@niklasad1 niklasad1 merged commit e7a708a into master Jan 4, 2021
2 checks passed
2 checks passed
continuous-integration/appveyor/pr AppVeyor build succeeded
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details
@niklasad1 niklasad1 deleted the dependabot/cargo/secp256k1-0.20.0 branch Jan 4, 2021
@dvdplm
Copy link
Member

@dvdplm dvdplm commented Jan 4, 2021

@HCastano it would be good if you could test this update on your code to make sure we didn't jump the gun here. Ty! :)

ordian added a commit that referenced this pull request Jan 4, 2021
* master:
  build(deps): update smallvec requirement from 0.6.10 to 1.6.0 (#494)
  build(deps): update secp256k1 requirement from 0.19.0 to 0.20.0 (#496)
ordian added a commit that referenced this pull request Jan 4, 2021
* master:
  build(deps): update rand requirement from 0.7.2 to 0.8.0 (#488)
  build(deps): update smallvec requirement from 0.6.10 to 1.6.0 (#494)
  build(deps): update secp256k1 requirement from 0.19.0 to 0.20.0 (#496)
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

3 participants